html,
body {
  min-height: 100%;
  overflow-x: hidden;
}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  overflow-y: auto;
  min-width: 0;
  background-color: #111;
  background-image: url("https://dl.glitter-graphics.com/pub/2565/2565606qq890ud7c1.jpg");
  background-repeat: repeat;
  background-position: top left;
  background-attachment: fixed;
  color: white;
  font-family: "Courier New", monospace;
  font-size: 13px;
}

a {
  color: white;
  text-decoration: underline;
}

a:hover {
  color: #00ff66;
}

.page {
  width: 930px;
  margin: 35px auto;
  position: relative;
  z-index: 2;
}

.site-title {
  text-align: center;
  margin-bottom: 18px;
  font-size: 34px;
  letter-spacing: 4px;
  color: #ff66cc;
  font-weight: bold;
  text-transform: uppercase;
}

.layout {
  display: grid;
  grid-template-columns: 180px 450px 270px;
  gap: 10px;
  align-items: start;
}

.panel {
  background: #000;
  border: 3px ridge #dcdcdc;
  padding: 10px;
  align-items: start;
  box-sizing: border-box;
}

.left-panel {
  min-height: 500px;
  display: flex;
  flex-direction: column;
}

.main-panel {
  min-height: 1158px; /* ADJUST HEREEEE */
  text-align: center;
  display: flex;
  flex-direction: column;
  overflow: visible;
  background-color: #000;
}

.right-panel {
  min-height: auto;
  overflow: visible;
  display: flex;
  flex-direction: column;
}

.box-title {
  background: #111;
  border: 1px solid #aaa;
  padding: 4px;
  margin-bottom: 10px;
  text-align: center;
  font-weight: bold;
  color: #ff66cc;
  text-transform: uppercase;
}

.nav-link::before {
  content: "";
  display: inline-block;
  width: 10px;
  height: 10px;
  background-image: url("https://blob.gifcities.org/gifcities/62QFNXXJHHWE5YAV44GMK6TFSLPUK56G.gif");
  background-size: contain;
  background-repeat: no-repeat;
  margin-right: 8px;
}

.nav-link {
  display: block;
  margin-bottom: 8px;
  padding: 6px;
  font-size: 12px;
  cursor: pointer;
}

.nav-link.active-link {
  background: #230018;
  border-color: #ff66cc;
  color: #ffccf2;
}

.nav-link.red-link {
  color: #ff3333;
  border-color: #b9433d;
  background: #180000;
  font-weight: bold;
}

.nav-link.red-link:before {
  content: "! ";
  color: #ff3333;
  font-weight: bold;
}

.nav-link.red-link:hover {
  color: #ff9999;
  border-color: #ff3333;
}

.journey-zone {
  margin-top: auto;
  padding-top: 16px;
  border-top: 1px dotted #555;
  text-align: center;
}

.journey-button {
  display: block;
  padding: 11px 7px;
  color: #ffff99;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
  text-decoration: none;
  border: 2px outset #ff66cc;
  background: repeating-linear-gradient(
    45deg,
    #210016 0px,
    #210016 4px,
    #4b0035 4px,
    #4b0035 8px
  );
  box-shadow:
    inset 1px 1px 0 #ffc6ef,
    inset -1px -1px 0 #610040,
    0 0 8px #ff66cc;
}

.journey-button:before {
  content: "[ ";
  color: #00ff66;
}

.journey-button:after {
  content: " ]";
  color: #00ff66;
}

.journey-button:hover {
  color: #00ff66;
  border-style: inset;
  background: repeating-linear-gradient(
    -45deg,
    #001a11 0px,
    #001a11 4px,
    #003b28 4px,
    #003b28 8px
  );
  box-shadow:
    inset 1px 1px 0 #aaffd8,
    inset -1px -1px 0 #003b28,
    0 0 10px #00ff66;
}

.journey-small {
  margin-top: 7px;
  color: #aaa;
  font-size: 10px;
  letter-spacing: 1px;
}

.marquee-box {
  border: 1px solid #777;
  background: #111;
  padding: 5px;
  margin-bottom: 14px;
  color: #00ff66;
  font-size: 12px;
}

.marquee-stamps {
  background: #000;
  border: 3px ridge #dcdcdc;
  padding: 10px;
  align-items: start;
  box-sizing: border-box;
  width: 920px;
}

.fake-image {
  width: 300px;
  height: 190px;
  margin: 35px auto 20px;
  border: 2px ridge #ddd;
  background: #111;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #aaa;
  font-size: 11px;
}

.divider {
  color: #ff66cc;
  margin: 18px 0;
  letter-spacing: 2px;
  text-align: center;
}

.blink {
  animation: blink 1s steps(2, start) infinite;
  color: #ff66cc;
  font-weight: bold;
}

@keyframes blink {
  to {
    visibility: hidden;
  }
}

.intro-image-box {
  background: transparent;
  padding: 4px 0 2px;
  text-align: center;
}

.intro-image-box img {
  display: block;
  width: 100%;
  max-width: 235px;
  height: auto;
  object-fit: contain;
  margin: 0 auto;
  border: none;
}

.status-box {
  margin-top: 12px;
  border: 1px solid #555;
  background: #050505;
  padding: 8px;
  font-size: 11px;
}

.cute-ad-box {
  margin-top: 14px;
  text-align: center;
  border: 1px dashed #b9433d;
  background: #080808;
  padding: 6px;
}

.cute-ad-link {
  display: block;
  text-decoration: none;
}

.cute-ad-link img {
  display: block;
  width: 100%;
  max-width: 235px;
  height: auto;
  margin: 0 auto;
}

.cute-ad-link:hover img {
  border-color: #00ff66;
}

.star {
  width: 30px;
}

iframe {
  width: 100%;
}
